## English

This plugin allows data import into [GLPI](http://glpi-project.org) using CSV files.

It allows to create models of injection for a future re-use. It's been created in order to:

- import data coming from others asset management softwares
- inject electronic delivery forms

Data to be imported using the plugins are:

- inventory data (except softwares and licenses),
- management data (contract, contact, supplier),
- configuration data (user, group, entity).

### Contributing

* Open a ticket for each bug/feature so it can be discussed
* Follow [development guidelines](http://glpi-developer-documentation.readthedocs.io/en/latest/plugins/index.html)
* Refer to [GitFlow](http://git-flow.readthedocs.io/) process for branching
* Work on a new branch on your own fork
* Open a PR that will be reviewed by a developer

## Français

Cette extension permet l'injection de données dans [GLPI](http://glpi-project.org) à l'aide de fichiers CSV

Elle permet de créer des modèles d'injection pour une réutilisation future, et a été créée afin de répondre aux besoins suivants :

- reprise des données d'autres outils d'inventaires
- injection de bons de livraisons électroniques

Les données pouvant-être injectées sont :

- données d'inventaires (sauf logiciels et licences),
- données de gestion (contrat, contact, fournisseur),
- données de configuration (utilisateur, groupe, entité).

### Contribuer

* Ouvrez un ticket pour chaque bogue/fonctionnalité que cela puisse être discuté
* Suivez [les règles de développement](http://glpi-developer-documentation.readthedocs.io/en/latest/plugins/index.html)
* Référez-vous au processus [GitFlow](http://git-flow.readthedocs.io/) pour gérer les branches
* Travaillez sur une nouvelle branche sur votre fork
* Ouvrez une PR qui sera revue par un développeur
